#include "LastSeen.h"
#include <SafeString.h>

LastSeen::LastSeen(const char* name) {
  lastTimeScanned = 0; // not seen yet
  cSFA(sfDeviceName, deviceName);
  sfDeviceName = name;
}

const char* LastSeen::getDeviceName() {
  return (const char*)deviceName;
}

void LastSeen::updateLastSeen(unsigned long t) {
  lastTimeScanned = t;
}
unsigned long LastSeen::getLastSeen() {
  return lastTimeScanned;
}
